> For the complete documentation index, see [llms.txt](https://documentation.efalia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://documentation.efalia.com/api-reference/efalia-doc-api/efalia-safe.md).

# Efalia Safe

## Lister les conteneurs de Efalia Safe

> Liste des conteneurs de Efalia Safe

```json
{"openapi":"3.1.0","info":{"title":"Efalia Doc","version":"1.0.0"},"tags":[{"name":"Efalia Safe"}],"servers":[{"url":"https://interne.efalia.cloud:1202/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","scheme":"bearer","description":"Value: Bearer {jwt}"}},"schemas":{"Conteneur":{"type":"object","required":["id","nom"],"properties":{"id":{"$ref":"#/components/schemas/ConteneurId"},"nom":{"type":"string"}}},"ConteneurId":{"type":"string","format":"uuid"}},"responses":{"NonHabilite":{"description":"L'utilisateur n'est pas habilité à faire l'action","content":{"application/json":{"schema":{"type":"object","required":["message","code"],"properties":{"message":{"type":"string"},"code":{"type":"string","enum":["non_habilite","changement_mot_de_passe_requis"]}}}}}}}},"paths":{"/api/efalia-safe/conteneurs":{"get":{"operationId":"listerConteneursEfaliaSafe","summary":"Lister les conteneurs de Efalia Safe","description":"Liste des conteneurs de Efalia Safe","tags":["Efalia Safe"],"responses":{"200":{"description":"Liste des conteneurs du coffre","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Conteneur"}}}}},"403":{"$ref":"#/components/responses/NonHabilite"},"500":{"description":"Le service MGSafe est injoignable","content":{"application/json":{"schema":{"type":"object","required":["message","code"],"properties":{"message":{"type":"string"},"code":{"type":"string","enum":["efalia_safe_injoignable","format_token_efalia_safe_invalide"]}}}}}},"503":{"description":"L'api n'est actuellement pas disponible","content":{"application/json":{"schema":{"type":"object","required":["message","code"],"properties":{"message":{"type":"string"},"code":{"type":"string","enum":["mise_a_jour_api_en_cours","fonctionnalite_indisponible"]}}}}}}}}}}}
```

## GET /api/efalia-safe/etat

> Récupérer l'état de la connexion à Efalia Safe

```json
{"openapi":"3.1.0","info":{"title":"Efalia Doc","version":"1.0.0"},"tags":[{"name":"Efalia Safe"},{"name":"Admin"}],"servers":[{"url":"https://interne.efalia.cloud:1202/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","scheme":"bearer","description":"Value: Bearer {jwt}"}},"responses":{"Unauthorized":{"description":"Le JWT a expiré","content":{"application/json":{"schema":{"type":"object","required":["message"],"properties":{"message":{"type":"string"}}}}}},"NonHabilite":{"description":"L'utilisateur n'est pas habilité à faire l'action","content":{"application/json":{"schema":{"type":"object","required":["message","code"],"properties":{"message":{"type":"string"},"code":{"type":"string","enum":["non_habilite","changement_mot_de_passe_requis"]}}}}}}}},"paths":{"/api/efalia-safe/etat":{"get":{"operationId":"etatEfaliaSafe","summary":"Récupérer l'état de la connexion à Efalia Safe","tags":["Efalia Safe","Admin"],"responses":{"200":{"description":"L'état de la connexion à Efalia Safe","content":{"application/json":{"schema":{"type":"object","properties":{"configuration":{"description":"Si Efalia Safe n'est pas configuré alors cette clé n'est pas retournée","type":"object","required":["url","utilisateur","joignable"],"properties":{"url":{"type":"string","description":"L'url qui permet d'accéder à Efalia Safe"},"utilisateur":{"type":"string","description":"Identifiant de l'utilisateur pour se connecter à Efalia Safe"},"joignable":{"type":"boolean","description":"Si l'application arrive à se connecter à Efalia Safe"},"erreur":{"type":"string","description":"Le détail de l'erreur lorsque Efalia Safe n'est pas joignable"}}}}}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NonHabilite"},"503":{"description":"L'api n'est actuellement pas disponible","content":{"application/json":{"schema":{"type":"object","required":["message","code"],"properties":{"message":{"type":"string"},"code":{"type":"string","enum":["mise_a_jour_api_en_cours","fonctionnalite_indisponible"]}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://documentation.efalia.com/api-reference/efalia-doc-api/efalia-safe.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
